## groovy.util
Class FactoryInterceptorMetaClass

Field Summary
`FactoryBuilderSupport` | `factory`

Constructor Summary
`FactoryInterceptorMetaClass(MetaClass delegate, FactoryBuilderSupport factory)`

Method Summary
`Object` | `invokeMethod(Object object, String methodName, Object arguments)`
`Object` | `invokeMethod(Object object, String methodName, def arguments)`

Constructor Detail

### FactoryInterceptorMetaClass

    public FactoryInterceptorMetaClass(MetaClass delegate, FactoryBuilderSupport factory)

Method Detail

### invokeMethod

    public Object invokeMethod(Object object, String methodName, Object arguments)

### invokeMethod

    public Object invokeMethod(Object object, String methodName, def arguments)